cutlass::library::Manifest Class Reference

Manifest of CUTLASS Library.

`#include <manifest.h>`

## Public Member Functions

Status | initialize ()
| Top-level initialization. More...
void | reserve (size_t operation_count)
| Used for initialization. More...
Status | release ()
| Graceful shutdown. More...
void | append (Operation *operation_ptr)
| Appends an operation and takes ownership. More...
OperationVector const & | operations () const
| Returns an iterator to the first operation. More...
OperationVector::const_iterator | begin () const
| Returns a const iterator. More...
OperationVector::const_iterator | end () const
| Returns a const iterator. More...

## Member Function Documentation

void cutlass::library::Manifest::append | ( | Operation * | operation_ptr | ) |

OperationVector::const_iterator cutlass::library::Manifest::begin | ( |  | ) | const

OperationVector::const_iterator cutlass::library::Manifest::end | ( |  | ) | const

Status cutlass::library::Manifest::initialize | ( |  | ) |

OperationVector const& cutlass::library::Manifest::operations | ( |  | ) | const

Status cutlass::library::Manifest::release | ( |  | ) |

void cutlass::library::Manifest::reserve | ( | size_t | operation_count | ) |

The documentation for this class was generated from the following file:

- manifest.h